Bug 1751138 - Review Request: flamethrower - dnsperf alternative
Summary: Review Request: flamethrower - dnsperf alternative
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-11 09:17 UTC by Petr Menšík
Modified: 2020-05-29 20:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-29 20:18:00 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Raphael Groner 2019-09-15 18:42:33 UTC
Some general hints:

Drop this line:
- %global commit v%{version}

Simplify those lines:
- URL:		https://github.com/DNS-OARC/flamethrower
- Source0:	https://github.com/DNS-OARC/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
+ URL:		https://github.com/DNS-OARC/%{name}
+ Source0:	%{url}/archive/v%{version}/%{name}-v%{version}.tar.gz

- Patch1:		flamethrower-0.10-libuv.patch
+ Patch1:		%{name}-0.10-libuv.patch

- make %{?_smp_mflags}
+ %make_build

Why does %make_install not work though cmake is used to generate a useful Makefile?

Comment 3 Robert-André Mauchin 🐧 2019-09-23 13:00:51 UTC
 - Please add a comment above the patch explaining why it is needed

# Flame requires explicit uv link
Patch1:		flamethrower-0.10-libuv.patch

 - Consider specifying the mode at install:

install -pDm 0755 flame ${RPM_BUILD_ROOT}%{_sbindir}/flame
install -pDm 0755 libflamecore.so ${RPM_BUILD_ROOT}%{_libdir}/libflamecore.so
popd
install -pDm 0644 man/flame.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/flame.1

 - Split the description to stay below 80 characters per line:

flamethrower.x86_64: E: description-line-too-long C Flamethrower is a small, fast, configurable tool for functional testing, benchmarking,
flamethrower.x86_64: E: description-line-too-long C and stress testing DNS servers and networks. It supports IPv4, IPv6, UDP and TCP,
flamethrower.x86_64: E: description-line-too-long C It was built as an alternative to dnsperf, and many of the command line options are compatible.

 - Not needed, lib dependencies are automatically detected:

Requires:	ldns%{?_isa}
Requires:	libuv%{?_isa}



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License (v2.0)",
     "Apache License (v2.0)", "Expat License". 58 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/flamethrower/review-
     flamethrower/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: flamethrower-0.10-1.fc32.x86_64.rpm
          flamethrower-debuginfo-0.10-1.fc32.x86_64.rpm
          flamethrower-debugsource-0.10-1.fc32.x86_64.rpm
          flamethrower-0.10-1.fc32.src.rpm
flamethrower.x86_64: E: explicit-lib-dependency libuv(x86-64)
flamethrower.x86_64: W: spelling-error %description -l en_US benchmarking -> bench marking, bench-marking, benchmark
flamethrower.x86_64: W: spelling-error %description -l en_US dnsperf -> dispenser
flamethrower.x86_64: E: description-line-too-long C Flamethrower is a small, fast, configurable tool for functional testing, benchmarking,
flamethrower.x86_64: E: description-line-too-long C and stress testing DNS servers and networks. It supports IPv4, IPv6, UDP and TCP,
flamethrower.x86_64: E: description-line-too-long C It was built as an alternative to dnsperf, and many of the command line options are compatible.
flamethrower.x86_64: E: invalid-soname /usr/lib64/libflamecore.so libflamecore.so
flamethrower.x86_64: W: spurious-executable-perm /usr/share/man/man1/flame.1.gz
flamethrower.src: W: spelling-error %description -l en_US benchmarking -> bench marking, bench-marking, benchmark
flamethrower.src: W: spelling-error %description -l en_US dnsperf -> dispenser
flamethrower.src: E: description-line-too-long C Flamethrower is a small, fast, configurable tool for functional testing, benchmarking,
flamethrower.src: E: description-line-too-long C and stress testing DNS servers and networks. It supports IPv4, IPv6, UDP and TCP,
flamethrower.src: E: description-line-too-long C It was built as an alternative to dnsperf, and many of the command line options are compatible.
4 packages and 0 specfiles checked; 8 errors, 5 warnings.

Comment 4 Petr Menšík 2019-10-02 21:34:23 UTC
(In reply to Raphael Groner from comment #1)
> Some general hints:
> 
> Drop this line:
> - %global commit v%{version}
> 
> Simplify those lines:
> - URL:		https://github.com/DNS-OARC/flamethrower
> - Source0:
> https://github.com/DNS-OARC/%{name}/archive/%{commit}/%{name}-%{commit}.tar.
> gz
> + URL:		https://github.com/DNS-OARC/%{name}
> + Source0:	%{url}/archive/v%{version}/%{name}-v%{version}.tar.gz
This is good, I think it should be used.
> 
> - Patch1:		flamethrower-0.10-libuv.patch
> + Patch1:		%{name}-0.10-libuv.patch
No, I do no think %{name} is useful when listing files. It should be named as it is. Those files are named the same on filesystem.
Changing spec file name does not rename them. It is more handy to just select and paste on full form.
> 
> - make %{?_smp_mflags}
> + %make_build
> 
> Why does %make_install not work though cmake is used to generate a useful
> Makefile?
No rules where it should be installed was given I suppose. It just lacks install target.

Comment 5 Petr Menšík 2019-10-02 21:39:41 UTC
Current patch link to pull request https://github.com/DNS-OARC/flamethrower/pull/19

Would update spec tomorrow, thank you guys!

Comment 7 Robert-André Mauchin 🐧 2019-10-05 13:52:43 UTC
 - As said before, 

Requires:	ldns%{?_isa}
Requires:	libuv%{?_isa}

are not needed, the libs are picked up automatically, you can check this by doing:

rpm -q --requires -p flamethrower-0.10-1.fc32.x86_64.rpm   | sort -f | uniq 

you'll see the .so being required.



Package is accepted, please fix the aforementioned issue before import.

Comment 8 Petr Menšík 2019-10-07 21:00:46 UTC
Ah, thought they are recommended to include. Checked guidelines explcitly say not to be used. So okay, removed them. Thank you for review!

Comment 9 Gwyn Ciesla 2019-10-07 21:16:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/flamethrower

Comment 10 Fedora Update System 2019-10-08 16:43:40 UTC
FEDORA-2019-07c9cee18f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-07c9cee18f

Comment 11 Fedora Update System 2019-10-08 16:45:53 UTC
FEDORA-2019-a251c59e6c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a251c59e6c

Comment 12 Fedora Update System 2019-10-08 16:46:14 UTC
FEDORA-2019-898440f612 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-898440f612

Comment 13 Fedora Update System 2019-10-09 03:25:27 UTC
flamethrower-0.10-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-898440f612

Comment 14 Fedora Update System 2019-10-09 17:39:53 UTC
flamethrower-0.10-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a251c59e6c

Comment 15 Fedora Update System 2019-10-09 18:58:05 UTC
flamethrower-0.10-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-07c9cee18f

Comment 16 Fedora Update System 2019-10-17 23:23:38 UTC
flamethrower-0.10-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-10-18 00:48:20 UTC
flamethrower-0.10-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-10-18 16:53:19 UTC
flamethrower-0.10-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-10-26 17:23:48 UTC
flamethrower-0.10-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.